#ifndef __SHOGUN_LIB_CONFIG_H__
#define __SHOGUN_LIB_CONFIG_H__

#define MACHINE "armv7l"
#define CONFIGURE_OPTIONS "TODO"
#define COMPFLAGS_CPP "-std=c++11 -Wall -Wno-unused-parameter -Wformat -Wformat-security -Wparentheses -Wshadow -Wno-unknown-pragmas -Wno-deprecated -O2 -g -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard  -fopenmp"
#define LINKFLAGS "-lpthread;/usr/lib/atlas/libtatlas.so;/lib/libglpk.so;/usr/lib/libarpack.so;/usr/lib/libnlopt_cxx.so;/usr/lib/liblpsolve55.so;/lib/libColPack.so;/lib/libarprec.so;-ljson-c;/usr/lib/libxml2.so;/usr/lib/libhdf5.so;/usr/lib/libhdf5_hl.so;/usr/lib/libhdf5.so;/usr/lib/libz.so;/usr/lib/libdl.so;/usr/lib/libm.so;/usr/lib/libcurl.so;/usr/lib/libz.so;/usr/lib/libbz2.so;/usr/lib/liblzma.so;/usr/lib/libsnappy.so;/usr/lib/liblzo2.so;optimized;/usr/lib/libprotobuf.so;debug;/usr/lib/libprotobuf.so;-lpthread"

#define SFMT_MEXP 19937
#define DSFMT_MEXP 19937

#define HAVE_HDF5 1
#define HAVE_CURL 1
#define HAVE_JSON 1
#define HAVE_XML 1
#define HAVE_LARGEFILE 1
#define HAVE_DOXYGEN 1
#define HAVE_LAPACK 1
/* #undef HAVE_MVEC */
#define HAVE_PROTOBUF 1

#define HAVE_ARPACK 1
#define HAVE_EIGEN3 1
/* #undef HAVE_VIENNACL */
/* #undef HAVE_OPENCV */
/* #undef HAVE_CATLAS */
#define HAVE_ATLAS 1
/* #undef HAVE_MKL */
#define HAVE_NLOPT 1
#define USE_LPSOLVE 1
#define HAVE_PTHREAD 1
/* #undef USE_CPLEX */
#define HAVE_COLPACK 1
#define HAVE_ARPREC 1

#define HAVE_POWL 1
#define HAVE_LGAMMAL 1
#define HAVE_SQRTL 1
#define HAVE_LOG2 1
/* #undef USE_LOGCACHE */
/* #undef USE_LOGSUMARRAY */

/* Tells ViennaCL to use OpenCL as computation backend */
#define VIENNACL_WITH_OPENCL 1

/* for linear algebra global backend setups */
#define HAVE_LINALG_LIB 1

/* #undef USE_EIGEN3 */
/* #undef USE_VIENNACL */

/* #undef USE_EIGEN3_CORE */
/* #undef USE_VIENNACL_CORE */

/* #undef USE_EIGEN3_REDUX */
/* #undef USE_VIENNACL_REDUX */

/* #undef USE_EIGEN3_LINSLV */
/* #undef USE_VIENNACL_LINSLV */

/* #undef USE_EIGEN3_EIGSLV */
/* #undef USE_VIENNACL_EIGSLV */

/* Define to 1 if you have the declaration of `isfinite', and to 0 if you
   don't. */
/* #undef HAVE_DECL_ISFINITE */

/* Define to 1 if you have the declaration of `isinf', and to 0 if you don't. */
/* #undef HAVE_DECL_ISINF */

/* Define to 1 if you have the declaration of `isnan', and to 0 if you don't. */
/* #undef HAVE_DECL_ISNAN */

/* Define to 1 if you have the `finite' function. */
/* #undef HAVE_FINITE */

/* Define to 1 if you have the `fpclass' function. */
#define HAVE_FPCLASS 1

/* Define to 1 if you have the `isfinite' function. */
/* #undef HAVE_ISFINITE */

/* Define to 1 if you have the `isinf' function. */
#define HAVE_ISINF 1

/* Define to 1 if you have the `isnan' function. */
#define HAVE_ISNAN 1

/* Define to 1 if you have the `std::isfinite' function. */
#define HAVE_STD_ISFINITE 1

/* Define to 1 if you have the `std::isinf' function. */
#define HAVE_STD_ISINF 1

/* Define to 1 if you have the `std::isnan' function. */
#define HAVE_STD_ISNAN 1

#define HAVE_DECL_SIGNGAM 1

#define HAVE_FDOPEN 1

#define USE_SPINLOCKS 1
#define USE_SHORTREAL_KERNELCACHE 1
#define USE_BIGSTATES 1

/* #undef USE_HMMDEBUG */
#define USE_HMMCACHE 1
/* #undef USE_HMMPARALLEL */
/* #undef USE_HMMPARALLEL_STRUCTURES */

/* #undef USE_PATHDEBUG */

/* #undef USE_SVMLIGHT */
/* #undef USE_MOSEK */

#define USE_GLPK 1
#define USE_LZO 1
#define USE_GZIP 1
#define USE_BZIP2 1
#define USE_LZMA 1
#define USE_REFERENCE_COUNTING 1
#define USE_SNAPPY 1

/* #undef HAVE_SSE2 */
/* #undef HAVE_BUILTIN_VECTOR */
/* #undef OCTAVE_APIVERSION */

/* #undef DARWIN */
/* #undef FREEBSD */
#define LINUX 1

/* #undef USE_SWIG_DIRECTORS */
/* #undef TRACE_MEMORY_ALLOCS */
/* #undef USE_JEMALLOC */

#define NARRAY_LIB "/usr/lib/gems/ruby/narray-0.6.1.1/narray.so"

/* #undef HAVE_CXX0X */
#define HAVE_CXX11 1
#define HAVE_CXX11_ATOMIC 1
#define HAVE_STD_UNORDERED_MAP 1

/* random related defines */
/* #undef HAVE_ARC4RANDOM */
#define DEV_RANDOM "/dev/urandom"

#endif /* __SHOGUN_LIB_CONFIG_H__ */
